Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.graphics.sld
Class RasterSymbolizer

    java.lang.Object
      org.deegree.graphics.sld.AbstractSymbolizer
          org.deegree.graphics.sld.RasterSymbolizer

All Implemented Interfaces:
  Marshallable, Symbolizer

    public class RasterSymbolizer

extends AbstractSymbolizer
implements Marshallable

`RasterSymbolizer` encapsulates the Symbology Encoding values that may have been set. Note that everything is optional, so all values may be null.

Version:
  $Revision: 18404 $, $Date: 2009-07-09 10:27:49 +0200 (Do, 09. Jul 2009) $
Author:
  Andreas Schmitz, last edited by: $Author: lbuesching $

Field Summary

Fields inherited from class org.deegree.graphics.sld.AbstractSymbolizer
`geometry, maxDenominator, minDenominator, responsibleClass`

Constructor Summary
`RasterSymbolizer()` Initializes nothing.
`RasterSymbolizer(double min, double max)`

Method Summary
`String` | `exportAsXML()` exports the content of the RasterSymbolizer as XML formated String.
`Categorize` | `getCategorize()`
`double` | `getGamma()`
`Interpolate` | `getInterpolate()`
`double` | `getOpacity()`
`boolean` | `getShaded()`
`Pair<Integer,float[]>` | `getShadeKernel()`
`boolean` | `isDefault()`
`boolean` | `scaleValid(double scale)`
`void` | `setCategorize(Categorize categorize)`
`void` | `setGamma(double gamma)`
`void` | `setInterpolate(Interpolate interpolate)`
`void` | `setOpacity(ParameterValueType opac)`
`void` | `setShaded(boolean shaded)`
`void` | `setShadeKernel(int dim, float[] kernel)`
`String` | `toString()`

Methods inherited from class org.deegree.graphics.sld.AbstractSymbolizer
`getGeometry, getMaxScaleDenominator, getMinScaleDenominator, getResponsibleClass, setGeometry, setMaxScaleDenominator, setMinScaleDenominator, setResponsibleClass`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RasterSymbolizer

    public RasterSymbolizer()

  Initializes nothing.

### RasterSymbolizer

    public RasterSymbolizer(double min,
                            double max)

Parameters:
  `min` -
  `max` -

Method Detail

### setOpacity

    public void setOpacity(ParameterValueType opac)

  Parameters:
    `opac` -

### getOpacity

    public double getOpacity()

  Returns:
    the opacity or 1, if none was set

### setCategorize

    public void setCategorize(Categorize categorize)

  Parameters:
    `categorize` -

### setInterpolate

    public void setInterpolate(Interpolate interpolate)

  Parameters:
    `interpolate` -

### getCategorize

    public Categorize getCategorize()

  Returns:
    the categorize

### getInterpolate

    public Interpolate getInterpolate()

  Returns:
    the interpolate

### isDefault

    public boolean isDefault()

  Returns:
    true, if none of the options has been set (scale is ignored)

### setShaded

    public void setShaded(boolean shaded)

  Parameters:
    `shaded` -

### getShaded

    public boolean getShaded()

  Returns:
    true, if the symbolization should be shaded

### scaleValid

    public boolean scaleValid(double scale)

  Parameters:
    `scale` -
  Returns:
    true, if no scale hints have been set or if the given scale is valid

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### setShadeKernel

    public void setShadeKernel(int dim,
                               float[] kernel)

  Parameters:
    `dim` -
    `kernel` -

### getShadeKernel

    public Pair<Integer,float[]> getShadeKernel()

  Returns:
    the shade kernel to be used

### setGamma

    public void setGamma(double gamma)

  Parameters:
    `gamma` -

### getGamma

    public double getGamma()

  Returns:
    the gamma value

### exportAsXML

    public String exportAsXML()

  exports the content of the RasterSymbolizer as XML formated String. At the moment only the export of opacity and gamma value is supported!

  Specified by:
    `exportAsXML` in interface `Marshallable`
  Returns:
    xml representation of the RasterSymbolizer

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org